
#define F_CPU 1200000
#include <avr/io.h>
#include <avr/sleep.h>
#include <avr/interrupt.h>
#include <avr/delay.h>

uint8_t bright;

ISR(PCINT0_vect) {
}

int main(void) {
	TCCR0A |= (1<<WGM00)| (1<<COM0A1);
	TCCR0B |= (1<<CS01);
	GIMSK |= (1<<PCIE);
	set_sleep_mode(SLEEP_MODE_PWR_DOWN);
	sei();
	while(1) {
		PCMSK |= (1<<PCINT1);
        sleep_mode();
		PCMSK &= ~(1<<PCINT1);
		_delay_ms(1);
		if (PINB & 0x02) {
			DDRB = 0x01;
			bright=0;
			while(bright<255) {
				OCR0A = (bright*bright)/255;
				_delay_ms(1);
				bright++;
			}
			while(bright>0) {
				OCR0A = (bright*bright)/255;
				_delay_ms(1);
				bright--;
			}
			DDRB = 0x00;
		}
	}
	return 0;
		
}
